import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_logrotate_install(host):
    assert host.package("logrotate").is_installed


def test_logrotate_globals(host):
    conf = host.file("/etc/logrotate.conf")

    assert conf.exists
    assert conf.contains("# Ansible managed")
    assert conf.contains("rotate 4")
    assert conf.contains("include /etc/logrotate.d")


def test_logrotate_sysconfig(host):
    conf = host.file("/etc/logrotate.d/syslog")

    assert conf.exists
    assert conf.contains("# Ansible managed")
    assert conf.contains("missingok")
    assert conf.contains("/usr/bin/systemctl kill")
